<template>
  <div style="padding: 10px;">
    <h2>Sous-composant by watch</h2>
    <hr>
    Contenu de l'objet:<br>
    <pre>{{ JSON.stringify(value, null, 4) }}</pre>
    <input v-model="local.field" />
    <button @click="local.field = 'ceci est un test'">Overwrite</button>
  </div>
</template>

<script>
export default {
  props: {
    value: Object
  },
  computed: {
    local() {
      return this.value;
    },
  },
  watch: {
    local: {
      deep: true,
      handler(newVal) {
        this.$emit('input', newVal);
      }
    }
  }
}
</script>